Update Pickup Methods
Update existing pickup methods.
This batch operation can update 10 pickup method objects in one request.
Only the id property of the pickup method object is required as part of the request. Pickup method properties that are not provided will maintain their existing values.
Limits
- Limit of updating 10 pickup method objects per
PUTrequest.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects a list of objects.
id
The ID of the pickup method.
location_id
The ID of the location.
display_name
Title of the pickup method.
collection_instructions
Instructions for picking up items.
collection_time_description
The description of collection time.
location_identityDeprecated
Response
The request has been successfully processed.
data
meta